%define upstream_name    String-Format
%define upstream_version 1.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Sprintf-like string formatting capabilities with arbitrary format definitions 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
String::Format lets you define arbitrary printf-like format sequences to be
expanded. This module would be most useful in configuration files and reporting
tools, where the results of a query need to be formatted in a particular way.
It was inspired by mutt's index_format and related directives (see
<URL:http://www.mutt.org/doc/manual/manual-6.html#index_format>).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/String
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.180.0-4.mga9
+ Revision: 1810247
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.180.0-3.mga8
+ Revision: 1506192
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.180.0-2.mga7
+ Revision: 1286202
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 1.180.0-1.mga7
+ Revision: 1207283
- update to 1.18

* Sun Jun 19 2016 pterjan <pterjan> 1.170.0-7.mga6
+ Revision: 1033359
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.170.0-6.mga6
+ Revision: 943064
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.170.0-5.mga5
+ Revision: 742732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.170.0-4.mga5
+ Revision: 686244
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.170.0-3.mga4
+ Revision: 514765
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-2.mga3
+ Revision: 372790
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.170.0-1.mga3
+ Revision: 342593
- update to 1.17

* Sat Jan 22 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 31181
- mageia rebuild
- imported package perl-String-Format


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.160.0-1mdv2010.0
+ Revision: 404416
- rebuild using %%perl_convert_version

* Tue May 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2010.0
+ Revision: 377816
- update to new version 1.16

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2010.0
+ Revision: 370180
- update to new version 1.15

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.14-5mdv2009.0
+ Revision: 241907
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-3mdv2008.0
+ Revision: 86922
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-2mdv2007.0
- Rebuild

* Thu Dec 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdk
- New release 1.14

* Thu Nov 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- first mdk release

